## libmdn-perl 2.4-2

=== ja/Makefile ===
# $Id: Makefile,v 1.3 2001/08/07 01:43:57 m-kasahr Exp $
#
# Copyright (c) 2000 Japan Network Information Center.  All rights reserved.
#  
# By using this file, you agree to the terms and conditions set forth bellow.
# 
#                      LICENSE TERMS AND CONDITIONS 
# 
# The following License Terms and Conditions apply, unless a different
# license is obtained from Japan Network Information Center ("JPNIC"),
# a Japanese association, Fuundo Bldg., 1-2 Kanda Ogawamachi, Chiyoda-ku,
# Tokyo, Japan.
# 
# 1. Use, Modification and Redistribution (including distribution of any
#    modified or derived work) in source and/or binary forms is permitted
#    under this License Terms and Conditions.
# 
# 2. Redistribution of source code must retain the copyright notices as they
#    appear in each source code file, this License Terms and Conditions.
# 
# 3. Redistribution in binary form must reproduce the Copyright Notice,
#    this License Terms and Conditions, in the documentation and/or other
#    materials provided with the distribution.  For the purposes of binary
#    distribution the "Copyright Notice" refers to the following language:
#    "Copyright (c) Japan Network Information Center.  All rights reserved."
# 
# 4. Neither the name of JPNIC may be used to endorse or promote products
#    derived from this Software without specific prior written approval of
#    JPNIC.
# 
# 5. Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY JPNIC
#    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
#    PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL JPNIC BE LIABLE
#    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
#    CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
#    SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
#    BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#    ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
# 
# 6. Indemnification by Licensee
#    Any person or entities using and/or redistributing this Software under
#    this License Terms and Conditions shall defend indemnify and hold
#    harmless JPNIC from and against any and all judgements damages,
#    expenses, settlement liabilities, cost and other liabilities of any
#    kind as a result of use and redistribution of this Software or any
#    claim, suite, action, litigation or proceeding by any third party
#    arising out of or relates to this License Terms and Conditions.
# 
# 7. Governing Law, Jurisdiction and Venue
#    This License Terms and Conditions shall be governed by and and
#    construed in accordance with the law of Japan. Any person or entities
#    using and/or redistributing this Software under this License Terms and
#    Conditions hereby agrees and consent to the personal and exclusive
#    jurisdiction and venue of Tokyo District Court of Japan.
#

SHELL = /bin/sh

POD2HTML  = pod2html
POD2LATEX = pod2latex
POD2MAN   = pod2man
POD2TEXT  = pod2text

POD_FILES   = API.pod  Log.pod  ResConf.pod  UTF8.pod
HTML_FILES  = API.html Log.html ResConf.html UTF8.html
LATEX_FILES = API.tex  Log.tex  ResConf.tex  UTF8.tex
MAN_FILES   = API.3    Log.3    ResConf.3    UTF8.3  
TEXT_FILES  = API.txt  Log.txt  ResConf.txt  UTF8.txt

.SUFFIXES:
.SUFFIXES: .pod .html .tex .3 .txt

.pod.html:
	-rm -f $@
	$(POD2HTML) $< > $@

.pod.tex:
	-rm -f $@
	$(POD2LATEX) $< > $@

.pod.3:
	-rm -f $@
	$(POD2MAN) --section=3 $< > $@

.pod.txt:
	-rm -f $@
	$(POD2TEXT) $< > $@

all: html latex man text
html: $(HTML_FILES)
latex: $(LATEX_FILES)
man: $(MAN_FILES)
text: $(TEXT_FILES)

clean:
	-rm -f $(HTML_FILES) $(LATEX_FILES) $(MAN_FILES) $(TEXT_FILES)
	-rm -f pod2htm*

=== debian/changelog ===
libmdn-perl (2.4-2) unstable; urgency=low

  * Updated for perl-5.8. 

 -- Mikael Andersson <mikan@debian.org>  Mon, 26 Aug 2002 12:02:17 +0200

libmdn-perl (2.4-1) unstable; urgency=low

  * Initial Release.
  
  * Close ITP (closes: #156064)	

 -- Mikael Andersson <mikan@debian.org>  Mon, 12 Aug 2002 11:01:22 +0200

=== debian/control ===
Source: libmdn-perl
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 3.0.5), perl (>= 5.8.0-7), libmdnkit-dev (>= 2.4)
Maintainer: Mikael Andersson <mikan@debian.org>
Standards-Version: 3.5.1

Package: libmdn-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Description:  Perl interface to domain name conversion methods of libmdn
 MDN::ResConf provides a Perl object interface to domain name
 conversion methods of libmdn, the multilingual domain name library
 included in the mDNkit. And in the debian package libmdnkit.
 .
 This module provides low-level conversion interface to the library.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=3

PACKAGE=$(shell dh_listpackages)

ifndef PERL
PERL = /usr/bin/perl
endif

ifndef DESTDIR
DESTDIR=..
endif
TMP     =`pwd`/debian/$(PACKAGE)

OPTIMIZE = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
OPTIMIZE += -g
endif

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="$(OPTIMIZE)" LD_RUN_PATH=""

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	$(MAKE) install PREFIX=$(TMP)/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs README README.ja
	dh_installexamples 
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installman
#	dh_undocumented
	dh_installchangelogs Changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb --destdir=$(DESTDIR)

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
